Bug 486695 - System hangs after long use "too many files open"
System hangs after long use "too many files open"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 00:59 EST by Ben Boeckel
Modified: 2018-04-11 04:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:57:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X.org log (78.24 KB, text/plain)
2009-02-25 13:09 EST, Ben Boeckel
no flags Details
Xorg.0.log when it happens (70.93 KB, text/plain)
2009-02-27 07:13 EST, Edney Matias
no flags Details
messages a few minutes before it happens (22.87 KB, text/plain)
2009-02-27 07:13 EST, Edney Matias
no flags Details
dmesg when it happnes (61.88 KB, text/plain)
2009-02-27 07:15 EST, Edney Matias
no flags Details
dmesg output while running pm-suspend and then resuming (56.20 KB, text/plain)
2009-11-05 21:07 EST, Edney Matias
no flags Details

  None (edit)
Description Ben Boeckel 2009-02-21 00:59:52 EST
Description of problem:
As mentioned in Bug 475510, Comment 9 (https://bugzilla.redhat.com/show_bug.cgi?id=475510#c9), the system hangs with a "too many open files" error after some use. I haven't tested without DE enabled, but I'll try that out this weekend. Restarting the X server allows the system to continue working at expected .

Version-Release number of selected component (if applicable):
kernel-2.6.27.15-170.2.24.fc10.x86_64
mesa-dri-drivers-7.2-0.15.fc10.x86_64
mesa-libGL-7.2-0.15.fc10.x86_64
mesa-libGLU-7.2-0.15.fc10.x86_64
xorg-x11-drv-i810-2.5.0-4.fc10.x86_64
xorg-x11-server-Xorg-1.5.3-11.fc10.x86_64
xorg-x11-server-common-1.5.3-11.fc10.x86_64
Comment 1 Matěj Cepl 2009-02-25 09:56:42 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Ben Boeckel 2009-02-25 13:09:29 EST
Created attachment 333196 [details]
X.org log
Comment 3 Ben Boeckel 2009-02-25 13:11:04 EST
Having disabled Desktop Effects, it hasn't occurred for a few days, so I'm willing to bet that compositing (at least using OpenGL) is the trigger.
Comment 4 Matěj Cepl 2009-02-26 10:23:19 EST
When it happens, can we get /var/log/Xorg.0.log (just to be sure, we have the right one), /var/log/messages, and /var/log/dmesg, please?
Comment 5 Edney Matias 2009-02-27 07:12:16 EST
Well, I think i managed to get the files you need. This time while grabbing the files i switched to text mode and back to graphical mode and noted that KDE was responsive again. 

I know that 'cause my CPU plasmoid starts to plot again CPU usage. When it happens, the plasmoid looks like those equipments that monitor heartbeat and then the subject dies, just a straight line.

But this responsiveness don't take too much and any new open application makes the CPU die again. Too sad.
Comment 6 Edney Matias 2009-02-27 07:13:08 EST
Created attachment 333466 [details]
Xorg.0.log when it happens
Comment 7 Edney Matias 2009-02-27 07:13:59 EST
Created attachment 333467 [details]
messages a few minutes before it happens
Comment 8 Edney Matias 2009-02-27 07:15:22 EST
Created attachment 333468 [details]
dmesg when it happnes
Comment 9 Edney Matias 2009-02-27 07:16:59 EST
Ah! kernel oopsed when I switched to text mode and back again to graphical mode.
Comment 10 Edney Matias 2009-04-06 17:16:11 EDT
Using Fedora 11 beta full updated with kde 4.2.2 and desktop effects activated and i can't see this bug anymore.
Comment 11 Ben Boeckel 2009-04-06 23:06:30 EDT
I'll test again over the next few days. I saw the window corruption bug and turned it off again.
Comment 12 Ben Boeckel 2009-04-07 02:08:16 EDT
It just occurred here. Still not fixed with KDE 4.2.2/Qt 4.5.0.
Comment 13 Edney Matias 2009-04-07 07:49:57 EDT
Are you using rawhide? Rawhide has a new Xorg stack with an updated intel driver.
Comment 14 Ben Boeckel 2009-04-07 14:22:01 EDT
Ah. This is F10. My Rawhide machine has an nVidia. I'll test again when I upgrade this machine in a few weeks.
Comment 15 Vedran Miletić 2009-11-05 18:12:23 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 16 Edney Matias 2009-11-05 21:02:24 EST
No i don't see this problem anymore. But i'm having one issue that acording to the documentation i found is related to intel driver. I didn't do a very compreensive search, chances that i'm wrong. 

It's related to suspend/resume not working as expected, the computer seems to come back from suspend state, but in some case keyboard is not working, neither mouse. And now after the last kernel update the screen is always black 
after a resume. 

Other thing i noted is when alternating between the graphical mode and the cosole, i can't get back to graphical mode, all is black. 

I already opened a bug report about the keyboard and mouse, here it is 
https://bugzilla.redhat.com/show_bug.cgi?id=529986. And here are the bug and the doc that made me relate the black screen with the intel driver, https://bugzilla.redhat.com/show_bug.cgi?id=473542
and http://fedoraproject.org/wiki/Common_kernel_problems#Suspend.2FResume_to_RAM_failure. 

I'm attaching the dmesg output while runing pm-suspend and resuming my Dell Vostro 1400. The kernel version i'm using is 2.6.31.5-117.fc12.i686.PAE. Anything else i can do? 

Thank you.
Comment 17 Edney Matias 2009-11-05 21:07:43 EST
Created attachment 367770 [details]
dmesg output while running pm-suspend and then resuming
Comment 18 Ben Boeckel 2009-11-06 20:33:20 EST
I haven't encountered this for quite some time and I've had effects on for weeks at a time (which is the only time this got triggered before). I'd say it's fixed.
Comment 19 Bug Zapper 2009-11-18 02:44:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Vedran Miletić 2009-12-04 12:57:54 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.